import common from '@ohos.app.ability.common';
import bundleManager from '@ohos.bundle.bundleManager';

export const getBusinessSignNative:(mCookie:number, appId:string, config:string[], sig:string ) => Promise<string>;

export const getDegradeTokenNative:(mCookie: number, appId:string, config:string[]) => Promise<string>;

export const getTokenNative:(mCookie: number, appId:string, config:string[]) => Promise<string>;

export const isDegradeTokenNative:(mCookie:number, appId:string, token:string) => boolean;

export const readyToCallback:(mCookie:number) => undefined | null;

export const scheduleUpdateSituationNative:(mCookie:number, appId:string, config:string[], delayMS:number) => undefined | null;

export const setSceneNative:(mCookie:number, appId:string, scene:string) => undefined | null;

export const setupNative:(jsToNativeApi:object, bundleInfo: bundleManager.BundleInfo) => number;

export const init:(mCookie:number, appId:string, config:string[]) => undefined | null;